Subject: Re: [Fwd: Re: GiT and CentOS 5.2]

From: Jakub Narebski <[email-masked]>
Date: Tue, 08 Jul 2008 12:12:48 -0700 (PDT)

"James B. Byrne" <[email-masked]> writes:

> On Tue, July 8, 2008 14:37, Mike Hommey wrote: 
> >
> > This only means the rpms in the yum repository at kernel.org were built
> > on a system more recent than yours, and that run-time dependencies (as
> > opposed to build dependencies) require some libraries to be newer than
> > what your system provides.
> 
> I understand the meaning of the error messages.  What I am asking is
> whether or not any of these dependencies is substantive.  If they are then
> I am stuck at the immediately previous release of Git. If not then I have
> the option to either build from source or force an rpm update.  If I force
> then I can no long use yum but at least I have the applicate managed by
> rpm.  If I build from source then I lose that as well.
> 
> So, my question still remains: are these dependencies only artifacts of
> the build environment or do they supply actual features that the latest
> release of Git depends upon and which are not available in the earlier
> version of the software?

They are artifact of the build environment (which picks up the
libraries that they are here); till 1.5.6.1 I have compiled git
and used git succesfully on Fedora Core 4 based dostribution
(Aurox 11.1).

I am now compiling[1] 1.5.6.2, and so far don't have any problems
(now it is at building documentation; it would be nice to be
able to use pre-build documentation from SRPM).

[1] $ rpmbuild --rebuild git-1.5.6.2-1.fc9.src.rpm
-- 
Jakub Narebski
Poland
ShadeHawk on #git